Ugrade 1.5 na 3.9 a casem snad na 4.0

Pepa
27. pro 2020 09:11 #143445
Prosím, nejsem v téhle oblasti nejkak moc zkuseny, mam Joomla na svych osobnich www, chtel bych upgradovat na nejnovejsi verzi,ale zatim jsem nejak nenasel cestu z verze 1.5 co mam, nerad bych ztratil clanky a cesty k nim, grafiku bych snad jeste nejak ozelel... Je nejaka cesta, pripadne programky co by to zvladly ??? Stranky mam na www.josefstary.cz , dekuji moc za kazdou vasi radu a pomoc, webhosting mam na pipni.cz

Pro možnost přispívání do fóra je nutné: Přihlásit se nebo Vytvořit účet.

Odpověď od Martin70
27. pro 2020 09:52 #143446
Z verze 2.5 postup mám, jak se dostat na 3 a postupně na 3.9, ale z 1.5 jsem nezkoušel. Pokud jste laik, asi to nebude snadné. A taky druhá věc jsou rozšíření. Pokud tam máte nějaké extensions, tak aby měly verze pro J3.
Poděkovali: Pepa

Pro možnost přispívání do fóra je nutné: Přihlásit se nebo Vytvořit účet.

Odpověď od Bong
27. pro 2020 11:14 #143450

Pepa napsal: ...upgradovat na nejnovejsi verzi ... nerad bych ztratil clanky a cesty k nim ... grafiku bych snad jeste nejak ozelel ... webhosting mam ...

  • Upgradovat z J1.5 přímo nelze. Je třeba obsah migrovat. Buď ručně překopírováním do nové verze, nebo pomocí nějakého rozšíření pro migraci (najdete na JED).
  • URL článků bude po migraci stejná, případně se dá v nových verzích využít plugin přesměrování.
  • Pokud grafikou myslíte šablonu, tedy vzhled stránek, pak to s použitím některé základní šablony zůstane prakticky stejné, ale získáte responzivitu.
  • Webhosting bude potřeba trochu změnit, třeba přejít na jiný tarif. Bude potřeba nová verze PHP, atd...

Jestli je obsah stránek to, co je na současné verzi k vidění, nebude migrace na Joomla 3 takový problém. Klidně mě kontaktujte na email.

I'm sorry, my responses are limited...you must ask the right questions.
Poděkovali: Pepa

Pro možnost přispívání do fóra je nutné: Přihlásit se nebo Vytvořit účet.

Odpověď od Pepa
27. pro 2020 15:59 #143452
Dobry den, dekuji moc , zkusim napsat mail, castecne jsem uz premyslel, jestli nesmazat a nezkusit uplne znova zacit,ale nejakych clanku je mi lito,,,, Takze zkopirovat co mam a pak prepsat, prekopirovat novou verzi? Pripadne nejaky nastroj ? Pisu mail, dekuji

Pro možnost přispívání do fóra je nutné: Přihlásit se nebo Vytvořit účet.

Odpověď od Pepa
28. pro 2020 09:34 #143456

Martin70 napsal: Z verze 2.5 postup mám, jak se dostat na 3 a postupně na 3.9, ale z 1.5 jsem nezkoušel. Pokud jste laik, asi to nebude snadné. A taky druhá věc jsou rozšíření. Pokud tam máte nějaké extensions, tak aby měly verze pro J3.


Tak nevim jak se to stalo, mozna jsem zapomenul,ze jsem tam uz drive neco podniknul,ale mam verzi 2.5.** PHP jsem koukal verze 5.5 Tam to asi bude chtit nejakym zpusobem prepnout?

Pro možnost přispívání do fóra je nutné: Přihlásit se nebo Vytvořit účet.

Odpověď od Pepa
28. pro 2020 09:41 #143457
Je tenhle balíček cesta k upgrade? Krom PHP ještě něco mám podniknout? U aktualizací mám varování, že je vypnuto....

This package is for performing updates from Joomla! 2.5 and previous 3.x releases to 3.9.23.

Downloaded
707,564 times
File size
11.85 MB
MD5 Signature
ea5f2c14362abadbe9585f48d644151c
SHA1 Signature
7356584dd73d7a6f4cffa51a2ed53866d640e875
Přílohy:

Pro možnost přispívání do fóra je nutné: Přihlásit se nebo Vytvořit účet.

Odpověď od Bong
28. pro 2020 10:13 #143458
V případě Joomla 2.5 je upgrade jednodušší.

Vytvořte si kopii stávajících stránek Joomla 2.5.14 (na webu, třeba na subdoméně, nebo na local).
Zaktualizujte a opravte tuto kopii na poslední verzi 2.5.28 (nainstalovat plnou instalaci jako kterékoli jiné rozšíření ze stránky downloads.joomla.org/cms/joomla25/2-5-28 )
V administraci pročistit a opravit (Údržba: Pročištění mezipaměti a Rozšíření: Databáze)
Opět vytvořit zálohu opraveného webu (kdyby se v dalších krocích něco nepovedlo)

Pak můžete zkusit nainstalovat ten stažený Joomla! 3.9.23 Upgrade Package (.zip)

Pokud se upgrade podaří, bude třeba opět pročistit cache, případně opravit databázi a změnit použitou šablonu pro frontend.

I'm sorry, my responses are limited...you must ask the right questions.

Pro možnost přispívání do fóra je nutné: Přihlásit se nebo Vytvořit účet.

Odpověď od Pepa
28. pro 2020 10:54 #143459
Zacatkem dekuji moc za ochotu a trpelivost vsem,, Nevadi, ze mi verze Joomla! 2.5.14 hlasi, ze je plne aktualni? Nemam jeste neco povolit, krom procisteni? Balicek uz mam stazeny, i tu nejnovejsi verzi 3,,, zalohu asi na pc, njelepe zrejme zkopirovat celou,myslim, ne ? Postup upgrade je nekde popsan, jak stazene balicky instalovat, zkusim jeste projit forum,, dekuji moc,, jen jeste na okraj.. na 3.9.23 je uz cestina? Nejak nemuzu najit,, jen na 3.9.22,, diky moc vsem za pomoc

Pro možnost přispívání do fóra je nutné: Přihlásit se nebo Vytvořit účet.

Odpověď od Pepa
28. pro 2020 10:56 - 28. pro 2020 12:03 #143460
2.5.28 jsem teda stahnul plnou instalaci,, tuhle,,, Radeji se ptam sice jsem stahnul kopii na pc,ale,,, Jsou tam i balicky path a upgrade, tak pro jistotu.... A ten balicek na verzi 3 jak jsem psal, ten upgrade a instalovat take jako rozsireni ?? PHP musi byt minimalne jake ? Zkusim jeste prepnout v administraci pipni.cz,, jde o to, v jakem kroku prepnout,,,,

Edit,,, vraci mi to pri pokusu tuhle hlasku JFTP: :connect: Nelze se připojit k hostiteli ' 127.0.0.1 ' na portu ' 21 ' Instalace vyberem balicku v pc



JInstaller: :Instalace: Nelze najít soubor XML nastavení
Cesta neobsahuje platný balíček instalace , balicek je v slozce temp na domene, www prostoru




Joomla! 2.5.28 Full Package (.zip)

This is the full download package for Joomla! 2.5.28

Downloaded
372,314 times
File size
7.73 MB
MD5 Signature
905ef89c26067973ef5932ed0298c47e
SHA1 Signature
de3ab1fadce85bbd3ecddadc6a828cfbcd513e00


Tak jsem zatim, nez bude balicek nainstalovany aspon zmenil dopredu PHP, bohuzel, tohle je vysledek,,,, Warning: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead in /DISK2/WWW/josefstary.cz/www/libraries/joomla/filter/input.php on line 652 Warning: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead in /DISK2/WWW/josefstary.cz/www/libraries/joomla/filter/input.php on line 654 Warning: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead in /DISK2/WWW/josefstary.cz/www/libraries/joomla/filter/input.php on line 652 Warning: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead in /DISK2/WWW/josefstary.cz/www/libraries/joomla/filter/input.php on line 654 Database connection error (1): The MySQL adapter 'mysql' is not available. Warning: session_write_close(): Cannot call session save handler in a recursive manner in /DISK2/WWW/josefstary.cz/www/libraries/joomla/session/session.php on line 676 Warning: session_write_close(): Failed to write session data using user defined save handler. (session.save_path: /DISK2/TMP/sessions) in /DISK2/WWW/josefstary.cz/www/libraries/joomla/session/session.php on line 676

Vypada to, jako by se pri zmene PHP smazalo spojeni na databazi? Tak s timhle asi tezko neco nadelam

Pro možnost přispívání do fóra je nutné: Přihlásit se nebo Vytvořit účet.

Odpověď od Bong
28. pro 2020 13:25 #143461
Nejhorší jsou rychlé ruce :-)

Když se podíváte co jsem psal, tak upgrade máte dělat na KOPII vašeho webu, ne na ostré verzi. Stará verze PHP by měla na rozeběhnutí Joomla 3 stačit. Ale zřejmě máte na hostingu i problém s oprávněním - vlastnictvím souborů, proto ty hlášky o FTP.

Poslal jsem vám zprávu, zkusíme to vyřešit jinak, tohle by bylo na dlouhé psaní :-)

I'm sorry, my responses are limited...you must ask the right questions.

Pro možnost přispívání do fóra je nutné: Přihlásit se nebo Vytvořit účet.